package org.jboss.security.jacc;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.security.AccessController;
import java.util.HashSet;
import javax.security.auth.Subject;
import javax.security.jacc.PolicyContextException;
import javax.security.jacc.PolicyContextHandler;

public class SubjectPolicyContextHandler implements PolicyContextHandler {
  public static final String SUBJECT_CONTEXT_KEY = "javax.security.auth.Subject.container";
  
  public static final HashSet EMPTY_SET = new HashSet();
  
  public Object getContext(String key, Object data) throws PolicyContextException {
    if (!key.equalsIgnoreCase("javax.security.auth.Subject.container"))
      return null; 
    Subject subject = AccessController.<Subject>doPrivileged(GetSubjectAction.ACTION);
    return subject;
  }
  
  public String[] getKeys() throws PolicyContextException {
    String[] keys = { "javax.security.auth.Subject.container" };
    return keys;
  }
  
  public boolean supports(String key) throws PolicyContextException {
    return key.equalsIgnoreCase("javax.security.auth.Subject.container");
  }
}
